import request from "@/utils/request";

// 更新入库业务 退料入库
export function updateIncomingReject(data) {
    return request({
        url: "/rtkwms/incoming-reject/update",
        method: "put",
        data: data,
    });
}

// 获得入库业务 退料入库分页--待入库
export function getIncomingRejectPage(query) {
    return request({
        url: "/rtkwms/incoming-reject/toStockPage",
        method: "get",
        params: query,
    });
}
// 从生产发料-查询待入库分页
export function getToStockPageFromOut(query) {
    return request({
        url: "/rtkwms/incoming-reject/toStockPageFromOut",
        method: "get",
        params: query,
    });
}

// 从生产发料-查询已入库分页
export function getStockedPageFromOut(query) {
    return request({
        url: "/rtkwms/incoming-reject/stockedPageFromOut",
        method: "get",
        params: query,
    });
}

// 获得入库业务 退料入库分页--已入库
export function getIncomingRejectStockedPage(query) {
    return request({
        url: "/rtkwms/incoming-reject/stockedPage",
        method: "get",
        params: query,
    });
}

// 获得入库业务 退料入库明细分页--待入库
export function getIncomingRejectDetailPage(query) {
    return request({
        url: "/rtkwms/incoming-reject-detail/toStockPage",
        method: "get",
        params: query,
    });
}
// 获得入库业务 退料入库明细分页--已入库
export function getIncomingRejectDetailStockedPage(query) {
    return request({
        url: "/rtkwms/incoming-reject-detail/stockedPage",
        method: "get",
        params: query,
    });
}

// 获得入库业务 获得入库方案列表
export function getIncomingRejectDetailPageList(query) {
    return request({
        url: "/rtkwms/incoming-reject-detail/toStockListPage",
        method: "get",
        params: query,
    });
}
// 确认入库
export function createBatchIncomingRejectStock(data) {
    return request({
        url: "/rtkwms/incoming-reject-detail/createBatch",
        method: "post",
        data: data,
    });
}